# Awards

### Awards <a href="#awards" id="awards"></a>

These endpoints can be used to facilitate Awards payments as part of a promotional program, prize pool, bonus pool, giveaway, etc. See release notes [here](https://seedcx.zendesk.com/hc/en-us/articles/4407847657491) for more information

#### `POST /awards/fund` <a href="#post-awards-fund" id="post-awards-fund"></a>

Specify the amount, quoted currency, and asset that you intend to ultimately distribute to your customers via the POST /awards/distribute endpoint.

```
const fundAwards = (asset: string, notional: string) => {
  const body = `{
    asset: ${asset},
    total: ${notional}
  }`
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'POST' + '/awards' + body
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
 const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.post(`https://api.ndax.in/awards/fund`, options)
}
```

> Sample Response

```
{
  "request_id": "14f8ebb8-7530-4aa4-bef9-9d73d56313f3",
  "quote": {
    "request_id": "ce819fe8-b1d7-43bb-961c-e09ede0988d3",
    "participant_code": "CUST01",
    "underlying_currency": "BTC",
    "quoted_currency": "e₹",
    "side": "BUY",
    "quantity": "1",
    "price": "11430.90",
    "quote_id": "5cd07738b861c31e3bd61467BTC1Buy1568311644602",
    "expire_ts": 1568311649602,
    "transaction_timestamp": 1568311649600
  },
  "trade_id": "ba97133e-ab15-4c86-86c1-86671b8420bc",
  "status": "Completed"
}
```

Body parameters include:

* `underlying` (required) the underlying asset for to be awarded.
* `quoted_currency` (required) the quoted asset for purchase of the reward
* `quantity` (optional) the desired amount of the `underlying` for the quote (either `quantity` or `total` must be provided)
* `total` (optional) the desired amount of the `quoted_currency` for the quote (either `quantity` or `total` must be provided)

Response:

<table><thead><tr><th width="128.33333333333331">Parameter</th><th>Description</th><th>Type</th></tr></thead><tbody><tr><td>request_id</td><td>The identifier of the RFQ</td><td>string</td></tr><tr><td>quote</td><td>The quote object that was executed</td><td>quote</td></tr><tr><td>trade_id</td><td>The unique identifier assigned to the trade, which is the same <code>trade_id</code> as found in a <code>GET /trades</code> request<br>Note: the <code>quote_id</code> will be saved as the <code>client_trade_id</code></td><td>string</td></tr><tr><td>status</td><td>The status of the trade, e.g. <code>Completed</code></td><td>string</td></tr></tbody></table>

#### `POST /awards/distribute` <a href="#post-awards-distribute" id="post-awards-distribute"></a>

Evenly distribute the purchased crypto among the specified customers.

```
const distributeAwards = (asset: string, quantity: string, customer_participant_codes: string[]) => {
  const body = `{
    asset: ${asset},
    quantity: ${quantity}
    participant_codes: ${customer_participant_codes}
  }`
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'POST' + '/awards' + body
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-SCX-API-KEY': 'public_key',
    'X-SCX-SIGNED': signedPayload,
    'X-SCX-TIMESTAMP': timestamp,
    'X-SCX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.post(`https://api.zerohash.com/awards/distribute`, options)
}
```

> Sample Response

```
{
  "request_id": "14f8ebb8-7530-4aa4-bef9-9d73d56313f3",
  "confirms": [
    {
      "participant_code": "CUST01",
      "trade_id": "ce819fe8-b1d7-43bb-961c-e09ede0988d3",
    },
    {
      "participant_code": "CUST02",
      "trade_id": "ba97133e-ab15-4c86-86c1-86671b8420bc",
    },
  ]
}
```

Body parameters include:

* `asset` (required) the asset for to be awarded.
* `quantity` (required) the desired amount of the `asset` for to be awarded to each customer in the request
* `participant_codes` (required) the list of customers to receive `quantity` amount of reward

Response:

<table><thead><tr><th width="150.33333333333331">Parameter</th><th width="409">Description</th><th>Type</th></tr></thead><tbody><tr><td>request_id</td><td>The identifier of the request</td><td>string</td></tr><tr><td>confirms</td><td>A list of participant_code plus trade identifiers for the executed trades confirm</td><td>confirm</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/awards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
